package com.ruoyi.system.mapper.taskMapper;

import com.ruoyi.system.domain.task.TaskEntity;

import java.util.List;

public interface TaskMapper {
    /**
     * 根据条件分页查询用户列表
     *
     * @param taskEntity 用户信息
     * @return 用户信息集合信息
     */
    public List<TaskEntity> selectAdminTaskList(TaskEntity taskEntity);
    /**
     * 通过用户ID查询任务
     *
     * @param taskId 任务ID
     * @return 任务对象信息
     */
    public TaskEntity selectAdminTaskById(Long taskId);
    /**
     * 通过任务ID删除任务
     *
     * @param taskId 任务ID
     * @return 结果
     */
    public int deleteAdminTaskById(Long taskId);
    /**
     * 根据任务id修改任务信息
     *
     * @param taskEntity 任务信息
     * @return 结果
     */
    public int updateAdminTaskById(TaskEntity taskEntity);
    /**
     * 新增任务信息
     *
     * @param taskEntity 任务信息
     * @return 结果
     */
    public int insertAdminTask(TaskEntity taskEntity);
    /**
     * 通过任务名查询任务
     *
     * @param taskName 用户名
     * @return 任务对象信息
     */
    public TaskEntity selecTaskByTaskName(String taskName);
    /**
     * 校验任务名称是否唯一
     *
     * @param taskName 任务信息
     * @return 结果
     */
    public TaskEntity checkTaskNameUnique(String taskName);
}
